<?php
session_start();
require('../valtiempoinact.php');
require("../conectar.php");
require("libFormato.php");
$idcliente=$_GET["idcliente"];
$idrenta=$_GET["idrenta"];
$hoy=$_GET["hoy"];
header('Content-Type: text/html; charset=utf-8');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">	 
<head>
<meta charset="UTF-8">
<script language="javascript" src="js/jquery-1.2.6.min.js"></script>
<link rel="stylesheet" href="css/pikaday.css">
<script src="js/moment.js"></script>
<script src="js/pikaday.js"></script>
<script>
function ver(val,n){
	   if(val=="EP" || val=="TIBJA" || val=="TIBECO" || val=="DECO" || val=="TC ECO" || val=="TC HABI" || val=="TIBHABI" || val=="TD ECO" || val=="TD HABI" || val=="DJA" || val=="EXTRANET" || val=="AIRBNB TRANSFERENCIA" || val=="INTERMEDIARIO DE PAGOS (OXXO,SEVEN)" || val=="NO SHOW"){
	     document.getElementById('moneda'+n).value="MXN";
	   }else{document.getElementById('moneda'+n).value="USD";}
	  }
function depas(id,n){
var origen=document.getElementById(id);
var sel=origen.selectedIndex;
var tx=origen[sel].text;
var v=origen[sel].value;
var destino=document.getElementById("departamento"+n);
destino.options.length = 0;
 if(v==""){destino.disabled=true;destino.length=0;}else{
  destino.disabled=false;
  destino.length=0;
  var indice=1; 
  <?
  $hoy=date("Y-m-d");
  $sql="SELECT id_departamento,clave,id_complejo FROM departamentos";
  $con=mysql_query($sql);
  while($ls=mysql_fetch_array($con)){
     $idcategoria=$ls["id_departamento"];
     $iddirectorio=$ls["id_complejo"];
     $categoria=$ls["clave"];
	 ?>
	 if(v==0){destino.options[indice]=new Option("GENERAL","0");}
	 if(v=="<?echo $iddirectorio?>"){
	   destino.options[indice]=new Option("<?echo $categoria?>","<?echo $idcategoria?>");
	   indice++;
	 }
	 
	 <?
  }
  ?>
  if(destino.length==2){
	 destino.options[1].selected=true;
   }
 }
}
function cambiacantidad(idpago,idcampo){
	 var monto = $("#cantidadmod"+idcampo).val();
	  var motivo = prompt("Por favor introduce el motivo", "");
	   var concepto = document.getElementById("concepto"+idcampo).value;
        var formapago = document.getElementById("formaPago"+idcampo).value;
          var moneda = document.getElementById("moneda"+idcampo).value;
           var propiedad = document.getElementById("propiedad"+idcampo).value;
            var departamento = document.getElementById("departamento"+idcampo).value;
             var fentrada = document.getElementById("fentrada"+idcampo).value;
               var fsalida = document.getElementById("fsalida"+idcampo).value;
               alert(fentrada + fsalida);
	  if (motivo != null && motivo != "" && departamento !="") {
        document.getElementById("msgcambiacantidad"+idcampo).innerHTML = motivo;
		var obs = motivo;
	    $.post("modificapago.php", {pago:idpago,campo:idcampo,monto:monto,motivo:obs,concepto:concepto,formapago:formapago,moneda:moneda,propiedad:propiedad,departamento:departamento,fentrada:fentrada,fsalida:fsalida}, function(data){
			$("#msgcambiacantidad"+idcampo).html(data);
		});
      }else{
		  alert("Campo motivo o departamento vacio");
		  return false;
	  } 
}
function validapago(pago,accion,tipo,idren,idclien,idcon)
{

var ch=document.getElementById('val'+accion).checked;
var checado;
if(ch==true){checado="s";}else{checado="";}
 $.post("valpagoadmon.php", {pago:pago,valor:checado,tipopago:tipo,idrenta:idren,idcliente:idclien,idconcepto:idcon}, function(data){
	 $("#validado"+accion).html(data);
	 });
}
function ventana(id){

window.open("modificar_comp_pag.php?idpago="+id, "Titulo Pagina",  'width=820, height=230, top=250, left=150');
}
function ventanas(id){

window.open("comentariopag.php?idpago="+id, "Titulo Pagina",  'width=800, height=270, top=200, left=150');
}
function borrar3(id,td)
{
var f=confirm( "En verdad quieres borrar el pago?");
if(f==true)
	{
	 $.post("borrarpag.php", {id:id}, function(data,status){
	 if(status=="success")
 		{
 		alert("El pago a sido borrado");  
		$("#"+td).hide();
 		} });
	}
}
function borrar(id,td)
{
var motivo="motivo"+td;
var f=confirm( "En verdad quieres borrar el pago?");
if(f==true)
	{
	yq=prompt("Introduce el motivo por el que eliminaras el pago");
	    if(yq){
		 $.post("borrarpag_2.php", {id:id,motivo:yq}, function(data,status){
		 if(status=="success")
			{
			alert("El pago a sido borrado");  
			$("#"+td).html(data);
			} });
		}
	}
}
</script>
	       <style>
		      *, *:before, *:after {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    font-family: "Lucida Grande", "Lucida Sans Unicode", "Lucida Sans", "DejaVu Sans", Verdana, sans-serif;
}
		      .cont-busc{position:relative;height:auto;min-height:400px !important;font-family:arial;color:#086A87;top:10px;overflow-x:hidden;margin:auto;}
			  .cont-busc .bar-busc{position:relative;height:90px;font-family:arial;color:#086A87;top:0px;margin:auto;}
			  .cont-res{position:relative;font-family:arial;color:#086A87;top:0px;margin:auto;}
			  .datos{border:0;-moz-border-radius: 5px;-webkit-border-radius: 5px;border-radius: 5px;-khtml-border-radius: 5px;border-collapse: collapse;color:#0d0d0d;font-family:arial;width:130%;}
			  .datos .tl{-moz-box-shadow:inset 0 0 20px #000000;-webkit-box-shadow: inset 0 0 20px #000000;box-shadow: inset 0 0 20px #000000;}
			  .datos .trs{min-height:30px !important;max-height:30px !important;height:30px !important;background:url(images/tcancion.jpg) repeat-x;color:#ffffff;font-size:12px;}
			  .datos .trs .link{-moz-border-radius: 5px;-webkit-border-radius: 5px;border-radius: 5px;-khtml-border-radius: 5px;background:#86B404;padding:3px;text-decoration:none;float:left;}
			  .datos .trs .link:hover{background:#A5DF00;}
              .datos .trsb{min-height:15px !important;max-height:15px !important;height:15px !important;background:url(images/tcancion2.png);color:#58D3F7;font-size:12px;}
			  .datos .trsb td{border-left:solid 1px #6E6E6E;}
			  .datos .trsb td:first-child{border-left:none;}
			  .datos .tr{min-height:20px !important;max-height:20px !important;height:20px !important;background:#ffffff;border-top:solid 1px #D8D8D8; color:#084B8A;font-size:10px;}
			  .datos .trb{min-height:20px !important;max-height:20px !important;height:20px !important;background:#ffffff;border-top:solid 1px #D8D8D8; color:#0D0D0D;font-size:9px;}
			  .datos .trb td{border-left:solid 1px #D8D8D8;padding-left:0px;}
			  .datos .trb td:first-child{border-left:none;}
			  .datos .trb .tds{background:#A4A4A4;}
			  .datos .trssb{min-height:15px !important;max-height:15px !important;height:15px !important;background:url(images/tcancion2.png);color:#848484;}	
			  .datos .tr td{border-left:solid 1px #D8D8D8;padding-left:10px;}
			  .datos .tr td:first-child{border-left:none;}
	          .datos .tr:hover{background:#01A9DB;color:#ffffff;}	
	          .datos .tr:hover a{color:#ffffff;}
              .datos .tr1{min-height:20px !important;max-height:20px !important;height:20px !important;background:#E0F8F7;border-top:solid 1px #D8D8D8; color:#084B8A;font-size:13px;}	
              .datos .tr1 td{border-left:solid 1px #D8D8D8;padding-left:10px;}
			  .datos .tr1 td:first-child{border-left:none;}
	          .datos .tr1:hover{background:#01A9DB;color:#ffffff;}	
	          .datos .tr1:hover a{color:#ffffff;}	
			  .datos .activo{min-height:20px !important;max-height:20px !important;height:20px !important;background:#F3E2A9;border-top:solid 1px #D8D8D8; color:#084B8A;font-size:13px;}
			  .ipt{border:none;background:none;color:#ffffff;font-weight:bold;text-align:right;}
			  .loading{position:fixed;left:50%;top:50%;width:250px;height:70px;margin-left:-125px;margin-top:-35px;display:none;background:url(images/bkloading.png);background-repeat:no-repeat;color:#ffffff;padding-top:25px;text-align:center;font-family:arial;font-size:12px;}
               .rentas{position:absolute;top:40px;width:800px;left:50%;margin-left:-421px;border:solid 1px  #D8D8D8; background:#FFFFFF; display:none;padding:20px;-Moz-box-shadow: 0 0 85px #000;-webkit-box-shadow: 0 0 85px #000; box-shadow: 0 0 85px #000;}
               .rentatab{border-collapse:collapse;color:#0d0d0d;font-family:arial;font-size:12px;}
               .rentatab .filatit{min-height:20px !important;max-height:20px !important;height:20px !important;background:#D8D8D8;border-top:solid 1px #D8D8D8;font-size:13px;}			   
               .rentatab .fila{min-height:20px !important;max-height:20px !important;height:20px !important;background:#ffffff;border-top:solid 1px #D8D8D8; color:#084B8A;font-size:12px;}
               .rentatab .fila td{border-left:solid 1px #D8D8D8;padding-left:5px;}
               .rentatab .fila td:first-child{border-left:none;}
               .cerrar{float:right;margin-top:-20px;margin-right:-20px;}
			   .inp{width:35px;text-align:right;font-size:10px;}
			   .inpd{width:60px;text-align:right;font-size:10px;}
			   .selec{width:80px;text-align:right;font-size:10px;}
			   
			   .campos{
					display: block;
					box-sizing: border-box;
					width: 100%;
					height: 2.4375rem;
					padding: .5rem;
					border: 1px solid #cacaca;
					margin: 0 0 1rem;
					font-family: inherit;
					font-size: 1rem;
					color: #0a0a0a;
					background-color: #fefefe;
					box-shadow: inset 0 1px 2px hsla(0,0%,4%,.1);
					border-radius: 0;
					transition: box-shadow .5s,border-color .25s ease-in-out;
					-webkit-appearance: none;
				   
			   }
			   .title {
					margin: 30px 20px;
					font-size: 20px;
					color: #004D96;
					font-weight: bold;
				}
	     </style>
		 <script>
		    function busca(v){
					 document.getElementById('resdocs').innerHTML="";
					 var concepto = document.getElementById('concepto').value;
					 var recibio = document.getElementById('recibio').value;
					 var cantidad = document.getElementById('cantidad').value;
					 var Nombre = document.getElementById('Nombre').value;
					 var APaterno = document.getElementById('APaterno').value;
					 var AMaterno = document.getElementById('AMaterno').value;


					if(concepto!="" || recibio!="" || Nombre!="" || APaterno!="" || AMaterno!="" || cantidad!=""){
					 $(".loading").fadeIn('fast');load=true;
					 $.post("buscarpag.php", {concepto:concepto,recibio:recibio,cantidad:cantidad,Nombre:Nombre,APaterno:APaterno,
											AMaterno:AMaterno}, function(data){
					 $('html, body').animate({ scrollTop: $('#opciones').offset().top }, 'slow');
					 $("#resultadobusqueda").html(data);
						});
					}else{$("#resultadobusqueda").html("");/*$("#busqueda").hide();busquedaS.resize();*/}
				}
		 
		 </script>
	 </head>
	 <body>
	 <div class="title"><h4>B&uacute;squeda de pagos</h4></div>
	<fieldset> 
	 <table>
		<form action="#" method="POST">
		   <tbody>
				<tr>
					<td colspan="2"><label>Concepto:</label><br>
					  <select name="concepto" id="concepto" class="campos">
					     <option></option>
					     <option value="RENTA">RENTA NUEVA</option> 
					     <option value="DEPOSITO">GARANTIA</option>
					     <option value="IMPUESTOS">IMPUESTOS</option>
					     <option value="SEGUIMIENTO">RENTA SEGUIMIENTO</option>
						 <option value="EXTRAS">EXTRAS</option>
				      </select>
					</td>
					<td colspan="2"><label>Recibi&oacute pago:</label><br>
					    <input type="text" name="recibio" id="recibio" class="campos">
					</td>
					<td colspan="2"><label>Monto:</label><br>
					    <input type="text" name="cantidad" id="cantidad" class="campos">
					</td>					
				</tr>
				<tr>				
					<td colspan="2"><label>Nombre cliente:</label><br>
					    <input type="text" name="Nombre" id="Nombre" class="campos">
					</td>					
					<td colspan="2"><label>A. Paterno cliente:</label><br>
					    <input type="text" name="APaterno" id="APaterno" class="campos">
					</td>
					<td colspan="2"><label>A. Materno cliente:</label><br>
					    <input type="text" name="AMaterno" id="AMaterno" class="campos">
					</td>						
				</tr>
				<tr>
			    <td colspan="4" style="text-align:center"><input type="button" value="Buscar" onclick="busca(this.value);"></td>
			  </tr>		
           </tbody>				
        </form>		
       </table>	
     </fieldset>	   
<div id="resultadobusqueda"></div>
 <div id="opciones"></div>
<div id="resdocs"></div>
<div class="loading">
	<img src="images/loading.gif"><br>cargando datos...
</div>
	 </body>
</html>	